% !TEX root = ../toptesi-scudo-example.tex
% !TEX encoding = UTF-8 Unicode
%*****************************************************************
%*********************** Third chapter ***************************
%*****************************************************************

\chapter{Receiver architecture and satellite-to-receiver measurements}
\label{ch:rxarchitecture}

% ********************** Define Graphics Path ********************
    \graphicspath{{Chapter2/Figures/Paper/}}

This chapter addresses the conventional architecture of a \ac{GNSS} receiver which constitute the main element of the \ac{GNSS} user segment. A receiver is in charge of acquiring the satellites signals crossing the atmosphere and reaching the earth with a remarkably low power level. A \ac{GNSS} receiver is designed to extract the pseudorange and Doppler measurements required for the estimation of the \ac{PVT}, according to the process introduced in Chapter \ref{ch:GNSSfundamentals}. 

While mass‐market single frequency receivers exploit code pseudoranges, computed starting from the estimation of the signal code delay, professional multifrequency receivers make use of carrier phase measurements. Code measurements are unambiguous but noisy; on the contrary, carrier phase measurements are much more precise but inherently ambiguous, and the process to solve for the integer ambiguity is hardly affordable by mass‐market receivers \cite{misra2006global}.

The chapter first introduces the structure of the navigation signal in Section \ref{sec:sigStruct}. Then, the receiver architecture is presented in Section \ref{sec:archite} up to the construction of the pseudorange measurements to recall the useful nomenclature used in this thesis. It is worth remarking that most of the analysis included in this work are referred to the use of Software \ac{GNSS} receiver whose architecture will be briefly summarized at the end of Section \ref{sec:archite}. The concept of networked receiver is eventually introduced as the reference architecture of the current research.

\section{Signal structure and frequency plans}
\label{sec:sigStruct}

As introduced in Chapter \ref{ch:GNSSfundamentals}, healthy \ac{GNSS} satellites continuously broadcast navigation signals from their orbits towards the earth. Before being received by the users, a navigation signal is typically referred to as \ac{SIS} and is designed to provide accurate estimation of its \ac{ToA} and accordingly of the related satellite-to-receiver distance, namely the \textit{pseudorange} measurement. The \ac{SIS} is also conceived to be resilient to intentional and unintentional interferences encountered in the crossing of the atmosphere and troposphere, multipath reflection, scattering and all the potential sources of disturbance \cite{kaplan2017understanding}. The payload of each \ac{GNSS} satellite generates the components of the \ac{SIS} which are mixed prior to the transmission over a selected \textit{carrier frequency}, according to the systems signal plan\cite{navstar1993icd}.

A \ac{SIS} transmitted over a specific carrier frequency is identified as a \textit{channel} and is composed by two parts defined accordingly to the In-Phase (I) and Quadrature (Q) components of \replaced[id=1]{an}{a} \added[id=1]{original} baseband complex signal, as 

\begin{equation}
S_X=\sqrt{2}P_T \left[s_{X-I}(t) \cos(2\pi f_{c} t) - s_{X-Q}(t) \sin(2\pi f_{c} t) \right]
\end{equation}

where $P_T$ is the transmitted power associated to the given channel and $f_c$, the \textit{carrier frequency}, characterizes the fundamental \ac{RF} sinusoidal signal (e.g. L1=\SI{1575.42}{\MHz}) which mostly condition the \ac{RF} properties in the free-space propagation. The baseband signal $s_X$ can be instead defined as

\begin{equation}
\label{eq:complexBaseband}
s_X=\sqrt{2}A(s_{X-I} + js_{X-Q}).
\end{equation}

I and Q components in \ref{eq:complexBaseband} are typically independent real signals which can carry four main components each, as shown in Figure \ref{fig:signals}. Such components are multiplied as   

\begin{equation}
\label{eq:multiComponent}
s_{X-Y}=\underline{s}_{Y}(t) c_{Y}(t)\bar{c}_{Y}(t)d_{Y}(t)
\end{equation}

where $Y$ indicates I or Q components and

\begin{itemize}


\item $c_{Y}$, named \textbf{spreading sequence}, is the binary \ac{PRN} ranging code designed both to guarantee \ac{CDMA} capabilities and the spectral spreading over the specific bandwidth.
\item $d_{Y}$, named \textbf{navigation message}, is a sequence of bits including information about satellites clock correction, ephemeris and health.
\item  $\bar{c}_{Y}$, named \textbf{secondary code}, has been included in modernized \ac{GNSS} signals to improve acquisition performance.
\item $\underline{s}$, named \textbf{subcarrier}, is a periodic sequence resulting from the combination of an arbitrary number of binary offset carriers \cite{avila2008mboc}. 
\end{itemize}

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={0.1cm 0.2cm 0.1cm 0.8cm},clip]{GPS_Signals.pdf}
\caption{{\small \ac{GPS} navigation signal components: \ac{RF} carrier signal (top), subcarrier(second), spreading code (third), navigation data (bottom). The signals are not in scale.}}
\label{fig:signals}
\end{figure} 

Sofisticaded modulation schemes, named \ac{MCS} can be applied at the sub-carrier level to improve performance in modernized \ac{SIS} such as for \ac{BOC} and AltBOC schemes used in Galileo  \cite{galileo2008galileo}. \ac{MCS} sequences are indeed a promising field since well selected configurations offer clear performance advantages as well as the possibility to control spectral properties in a more efficient way. This aspect has been of crucial importance during the design of Galileo in order to be compatible and interoperable with \ac{GPS}, and could show us the way to proceed in the future when new signals are planned to be placed in the already crowded \ac{RNSS} bands\cite{avila2008mboc}.

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={0.2cm 0.2cm 0.2cm 0.2cm},clip]{Galileo_Frequency_Plan.pdf}
\caption{{\small Galielo and \ac{GPS} frequency plan fitting the bands reserved to \ac{RNSS}. Reproduced from \cite{galileo2008galileo}.}}
\label{fig:signalPLan}
\end{figure} 

The accurate description of the signal plan is out of the scope of this work but further details are available about \ac{GPS} and Galileo in the respective \ac{ICD}s \cite{navstar1993icd,galileo2008galileo} and excellent references can be found in \ac{GNSS} literature, as well. For the sake of completeness the updated signal plans of \ac{GPS} and Galileo are summarized in Figure \ref{fig:signalPLan} and detailed in Table \ref{tab:GPSGAL_04} and Table \ref{tab:GPSGAL_05}, respectively. 

\begin{table}
    \centering
    %\tiny
    \begin{tabular}{|l|l|l|l|l|l|l|l|l|l|}
    \hline
    \rotatebox{90}{\textbf{Band }} & \rotatebox{90}{\textbf{Service}} & \rotatebox{90}{\textbf{Type (*)}} &
    \rotatebox{90}{\textbf{Modulation scheme}} & \rotatebox{90}{\textbf{Spect. occup. (**)}} & \multicolumn{2}{|l|}{\rotatebox{90}{\textbf{Code rate} }} &\rotatebox{90}{ \textbf{Navig. data rate }} &   \rotatebox{90}{\textbf{Min. Rx Power }} &  \rotatebox{90}{\textbf{Status (***)}}\\ \hline
     & & &                 & \textbf{MHz} &\multicolumn{2}{|l|}{\textbf{chip/s}} & \textbf{bit/s} & \textbf{dBW} &  \\
     & & \textbf{}&                 & \textbf{} &\multicolumn{2}{|l|}{} &  &  &  \\
    \hline
    L1 & C/A  & C & BPSK(1) &
    2.046 & \multicolumn{2}{|l|}{ 1.023e6} & 50 & -158.5 & T \\
    \hline L1/L2 & P  & M & BPSK(10) & 20.46 &
    \multicolumn{2}{|l|}{ 10.23e6} & 50 & -161.5 & T \\
    \hline
    L1 & L1C & C & TMBOC(6,1,4/33) & 4.092 & CP & 1.023e6 & no data
    & -158.25 & F \\
    &  &  & BOC(1,1) & 4.092 & CD & 1.023e6 & 50  & -163 &  \\
       \hline
    L2 & L2C & C & BPSK(1) & 2.046 & CM &
    511.5e3 & 25 & -158.5 & P \\
    &  &  &  &  & CL & 511.5e3 & no data &  &  \\ \hline
    L1/L2 & M   & M & BOC(10,5) & 30.69 &
    \multicolumn{2}{|l|}{5.115e6} & N/A & N/A & T \\ \hline
    L5  & L5  & C & QPSK(10) & 20.46 & I5 &
    10.23e6 & 50 & -157 & P \\
    &  &  &  &  & Q5 & 10.23e6 & no data &  -157 &  \\
    \hline
    \multicolumn{10}{|l|}{REMARKS:}\\
    (*) & \multicolumn{9}{|l|}{ C = civil signal}\\
        & \multicolumn{9}{|l|}{ M = military signal}\\
    (**) & \multicolumn{9}{|l|}{ null-to-null bandwidth}\\
     & \multicolumn{9}{|l|}{ For {BOC} modulations, only the two main spectral lobes are considered}\\
    (***) & \multicolumn{9}{|l|}{      T = transmitted (full operation capability); }\\
          & \multicolumn{9}{|l|}{      P = pre-operational broadcast;}\\
          & \multicolumn{9}{|l|}{      F = foreseen signal.}\\
    \hline
    \end{tabular}
    %\normalsize
    \caption{Current (2019) and modernized GPS signals \cite{GPS_ICD_800_2014}, \cite{GPS_ICD_705_2014}, \cite{GPS_ICD_200_2016}. Taken from \cite{inbook2011overview}.}
    \label{tab:GPSGAL_04}
\end{table}

\begin{landscape}
\begin{table}
    \centering
    %\tiny
	\begin{tabular}{|l|l|l|l|l|l|l|l|l|l|l|l|} \hline
    \rotatebox{90}{\textbf{Band }} & \rotatebox{90}{\textbf{Service }} & \rotatebox{90}{\textbf{Channel}} &\rotatebox{90}{\textbf{Modulation scheme}} & \rotatebox{90}{\textbf{Spectral occup. (*)}} & \rotatebox{90}{\textbf{Subcarrier freq.}}     & \rotatebox{90}{\textbf{Code rate}} & \rotatebox{90}{\textbf{Sec. code rate}} & \rotatebox{90}{\textbf{Nav. data}} &     \rotatebox{90}{\textbf{Multiplex. tech.}} & \rotatebox{90}{\textbf{Min. Rx power}} & \rotatebox{90}{\textbf{Status(**) }} \\ \hline
 %    & & & \rotatebox{90}{\textbf{}} & \rotatebox{90}{\textbf{}} & \rotatebox{90}{\textbf{ }} & \rotatebox{90}{\textbf{ }}
 %   & \rotatebox{90}{\textbf{} } & \rotatebox{90}{\textbf{rate }} & \rotatebox{90}{\textbf{}} & \rotatebox{90}{\textbf{ }} & \textbf{} \\
     & & &               & \textbf{ MHz} & \textbf{ MHz} & \textbf{ Mchip/s}
    & \textbf{chip/s} & \textbf{symb/s} &            & \textbf{ dBW} & \textbf{} \\
    \hline
    E1 &  {PRS} & A & {BOCcos}(15,2.5) & 35.805 & 15.345 & 2.5575 & - & N/A &  & N/A & T \\
    & {OS} & B & CBOC(6,1,1/11) & 14.322 & 1.023 $/$ 6.138 &
    1.023 & - & 250 & Const. env.  & -157 (B+C)  & T \\
    & Pilot & C &  CBOC(6,1,1/11) &  14.322 & 1.023 $/$ 6.138 & 1.023 & 250 & no data &  &  & T \\
     \hline
    E6 &  {PRS} & A & {BOCcos}(10,5) & 30.69 & 10.23 & 5.115 & - & N/A &  & N/A & T \\
    &  {\replaced[id=1]{HAS}{CS}} & B & BPSK(5) & 10.23 & - & 5.115 & - & 1000 & Const. env. &
    -155 (B+C) & V \\
    & Pilot & C & BPSK(5) & 10.23 & - & 5.115 & 1000 & no data &  &  & V \\
     \hline
    E5a &  {OS} & I & BPSK(10) & 20.46 & 15.345 & 10.23 & 1000 & 50 &
     & -155 (I+Q) & T \\
    & Pilot & Q & BPSK(10) & 20.46 & 15.345  & 10.23 & 1000 & no data & AltBOC(15,10) &  & T
    \\ \cline{1-9} \cline{11-12}
    E5b &  {OS} & I & BPSK(10) & 20.46 & 15.345 & 10.23 & 1000 & 250 &
    & -155 (I+Q) & T \\
    & Pilot & Q & BPSK(10) & 20.46 & 15.345 & 10.23 & 1000 & no data &  &  & T \\ \hline
    \multicolumn{12}{|l|}{REMARKS:} \\
    (*) & \multicolumn{11}{|l|}{ null-to-null bandwidth}\\
     & \multicolumn{11}{|l|}{ For {BOC} modulations, only the two main spectral lobes are considered}\\
    (**)& \multicolumn{11}{|l|}{ T =  transmitted (initial services);} \\
        & \multicolumn{11}{l|}{  V =  under test and validation. }\\
    \hline
    \end{tabular}
    \normalsize
    \caption{Current(2019) Galileo signals \cite{EC_GalCSdecision_2017}, \cite{EC_GalInitService_2016}, \cite{EU_GalileoICD_2016}. Taken from \cite{inbook2011overview}.}
    \label{tab:GPSGAL_05}
\end{table}
\end{landscape}

\section{Receiver Architecture}
\label{sec:archite}

In order to accomplish this core functionality, the architecture of a \ac{GNSS} receiver is made of several stages concerning specific tasks: \textit{acquisition}, \textit{tracking}, \added[id=1]{\textit{decoding} of the navigation message,} and \textit{post-processing}. An analog stage is typically conceived to constraint signals features (i.e. bandwidth, amplitude) fitting the input requirements of the \ac{ADC}. Once the signal is digitalized acquisition and tracking stages aim at estimating delay and Doppler shift to align the incoming signal and the local replica of the spreading code \cite{misra2006global}. While the acquisition stage identifies the signals coming from any visible satellite by roughly estimating code delay and Doppler shift, the tracking stage is in charge to refine such estimates to provide accurate information to the post-processing stage, thus reliable pseudorange and Doppler shift measurements. 

%\begin{figure}[h!]
%\centering
%\includegraphics[width=0.9\columnwidth,trim={0.0cm 0.0cm 0.0cm 0.0cm},clip]{tmpE256.jpg}
%\caption{{\small Receiver architecture PLACEHOLDER}}
%\label{fig:receiver Architecture}
%\end{figure} 

\subsection{Received signal}

An active or passive antenna is in charge of capturing the \ac{GNSS} signals to feed the receiving chain of the front-end. In real scenarios, the received signal $y_\text{RF}(t)$ is composed by the independent contributions of all the $S$ visible satellites at a given time, $t$. The resulting signal is in fact the superposition of $S$ signals, denoted as $y_{s,\text{RF}}$ and an additive noise component. For the sake of simplicity, the terms related to the subcarriers are omitted hereafter. Each signals is transmitted on a independent channel which alters delay, Doppler shift and noise differently for each satellite. The overall \ac{SIS} reaching the antenna is hence 

\begin{equation}
y_{\text{RF}}=\sum_{s=1}^S \tilde{y}_{s,\text{RF}}+\eta(t)
\end{equation}

where $\tilde{y}_{s,\text{RF}}$ is the signal contribution provided by the $s$-th satellite and $\eta(t)$ is the additive noise. Such term can be due both to in-band interferences, or due to the thermal noise injected by electronics component such as \ac{LNA} or power-line supplying the antenna. The noise contribution, $\eta(t)$, is typically modelled as \ac{AWGN} and characterized by a uniform power spectral density assuming a value of $N_0/2$ W/Hz where $N_0= kT$ and $k$ and $T$ are the Boltzmann constant and the temperature of the system in Kelvin, respectively. 

The noise is considered as a Gaussian process which is distributed as

\begin{equation}
\eta(t) \sim \mathcal{N}(0,\sigma^2).
\label{eq:noise}
\end{equation}

Considering the \eqref{eq:noise}, the $\sigma^2=N_0/2 BT$ where $B$ is the bandwidth of the receiving front-end. 

Supposing to receive a single component transmitted from one single satellite, the received signal can be formalized as

\begin{equation}
y_{\text{RF}}(t)=\sqrt{2P_R}c(t-\tau_s)\bar{c}(t-\tau_s)d(t-\tau_s)cos(2\pi(f_{RF}+f_{d_{s}})t+\phi)+\eta(t)
\end{equation}

where $P_R$ is the received power, $\tau$ is the propagation delay of the signal to reach the receiver antenna, $f_{d_{s}}$ is the Doppler shift and $\phi_{s}$ is a phase shift.   

\subsection{Front-end}

The architecture of usual \ac{GNSS} receivers is composed by two distinct parts: analog and digital stages. We identify the analog part as the \textit{front-end} of the system, which is in charge of filtering the received signal and provide a suitable signal to the subsequent \ac{ADC}, thus the following signal processing. The first task concerns the amplification of the signal by means of a \ac{LNA}. Typically, the \ac{LNA} is also the main contributor to the noise figure of the receiver \cite{kaplan2017understanding}. The signal is then filtered via band-pass filter to exclude out-of-band contributions and is down-converted to a proper \ac{IF} or to baseband, according to the selected architecture. 


%\begin{equation} \label{eq:downconvertion}
%\begin{split}
%s_{mix} & = y_{\text{RF}} \cdot 2cos(2\pi f_{LO} t) \\
% 	  & = \sqrt{2P_R}c(t)\bar{c}(t)d(t)\cos \left( 2 \pi (f_{RF}-f_{LO})t+ \phi \right) \\
% 	  & = \sqrt{2P_R}c(t)\bar{c}(t)d(t)cos(2\pi(f_{RF}+f_{LO})t+\phi)+\eta(t) \\
%\end{split}
%\end{equation}

\begin{figure}
\centering
\includegraphics[width=1\linewidth,trim={0.2cm 0.2cm 0.2cm 0.2cm},clip]{front_end.pdf}
\caption{Front-end architecture for the Analog-to-digital conversion of \ac{GNSS} \ac{RF} signals.}
\label{fig:front_end}
\end{figure}


Multiple \ac{LO}s can be used along with  \ac{RF} mixers to properly down-convert the \ac{RF} signal to \ac{IF}, thus optimizing harmonics suppression and amplification stages when present. The amplified and filtered signal $y_\text{RF}(t)$ is hence down-converted to a given \ac{IF} using \acp{LO}. A mixer simply multiplies the incoming signal by a sinusoidal tone locally generated by the \ac{LO}. Neglecting the Doppler frequency shift $f_{d}$ and the code delay $\tau$, then the output signal $s_{mix}(t)$ can be written as
%
\begin{eqnarray} \label{Eq_s_mix_t}
  s_{mix}(t) &=& \underbrace{y_{RF}(t)}_\text{RF signal} \cdot \underbrace{2\cos(2\pi f_{LO}t)}_\text{LO} \nonumber \\
 				   &=& \sqrt{2P_R} c(t) \bar{c}(t) d(t) \cos(2\pi \underbrace{(f_{RF}-f_{LO})}_\text{IF} t + \varphi) + \nonumber \\
 				   & &  \sqrt{2P_R} c(t) \bar{c}(t) d(t) \cos(2\pi (f_{RF}+f_{LO}) t + \varphi) + \eta(t)
\end{eqnarray}
%
where $f_{LO}$ term is the local oscillator frequency, which depends on the overall frequency plan and on the desired \ac{IF}. It is chosen to obtain $(f_{IF}=f_{RF}-f_{LO})$. The signal $s_{mix}(t)$ (\ref{Eq_s_mix_t}) is made by two terms: one with frequency centered at $(f_{RF}-f_{LO}=f_{IF})$ and the other one with frequency centered at $(f_{RF}+f_{LO})$. Since only the term at \ac{IF} is desired, the higher order harmonics are filtered out. At the end of the filtering process, the component $y_{IF}(t)$ can be written as:

\begin{equation} \label{Eq_y_IFi_t}
  y_{IF}(t) = \sqrt{2P_R} c^{(b)}(t) \bar{c}^{(b)}(t) d(t) \cos(2\pi f_{IF} t + \varphi) + \eta_{IF}(t)
\end{equation}

where $c^{(b)}(t)$ represent the filtered version of the in-phase transmitted \ac{PRN} code, $\bar{c}^{(b)}(t)$ represent the filtered version of the subcarrier, $\eta_{IF}$ is the filtered noise at the output of the \ac{IF} filter which is still a white Gaussian noise with the same variance. The subscript $(b)$ on the code and the subcarrier denote the fact that the pulses could be actually be modified by the \ac{IF} filtering. On the other hand, the data are almost unaffected by the filtering effect due to their very low rate in \ac{GNSS} systems.

Finally, the frequency down-conversion allows the \ac{ADC}, which is the last component of the front-end chain, shown in Figure \ref{fig:front_end}, to \replaced{digitalize}{acquire} the signal at a suitable sampling frequency and quantization depth. \ac{ADC} conversion \added[id=1]{indeed} allows to \replaced[id=1]{transform}{convert} the analog signal to a digital format and it is made of two steps: the discrete time conversion of the signal (sampling) and the quantization. An \ac{AGC} can be used to automatically adjust the signal dynamics to fit the input requirements of the \ac{ADC}.

%The sampling frequency $f_s$ should be determined on the basis of the maximum frequency present in the spectrum of the \ac{IF} signal. It is chosen according to the Nyquist theorem. It is worth noting that the accuracy in the \ac{PVT} measurements is also related to the sampling frequency. In order to perform a fine estimation of the code delay, the sampling process should not be synchronized with the chip rate. It means that the number of samples per chip \textit{must not be an integer}. This depends on the mechanism of ``local code synchronization'' performed inside the receiver: Details can be found in \cite{akos2006effect}.

The digital signal $y_{IF}(nT_{s})$ after the \ac{ADC} converter can be written as
%
\begin{equation} \label{Eq:y_IFi_nTs}
  y_{IF}(nT_{s}) = \sqrt{2P_R} c^{(b)}(nT_{s}) \bar{c}^{(b)}(nT_{s}) d(nT_{s}) \cos(2\pi f_{IF}(nT_{s}) + \varphi) + \eta_{IF}(nT_{s})
\end{equation}
%
Note that, in the following, the notation $y[n] = y(nT_{s})$ will indicate a discrete-time sequence $y[n]$, obtained by sampling a continuous-time signal $y(t)$ with a sampling frequency $f_s=1/T_s$.
%
The digital signal $y_{IF}[n]$ finally becomes:
%
\begin{equation} \label{Eq:y_IFi_n}
  y_{IF}[n] = \sqrt{2P_R} c^{(b)}[n] \bar{c}^{(b)}[n] d[n] \cos(2\pi f_{IF}[n] + \varphi) + \eta_{IF}[n]
\end{equation}

\subsection{Acquisition}

The acquisition strategy is adopted by \ac{GNSS} receivers to estimate the \ac{ToA}, $\tau$, (which contains the information required for computing pseudorange measurements, thus user position and clock offset) and the Doppler frequency $f_d$ (which contains the information required for computing the user velocity and the clock drift). Therefore, acquisition is exploited, after signal conditioning, to first detect which satellites are in view and estimate approximate value of $\tau$ and $f_d$. These values are therefore passed to the tracking block, that performs a local search for their accurate estimates. In this stage also the estimation of the carrier phase may be included. The acquisition system is made of a number of functional blocks that conceptually operate independently.

According to the estimation theory, it is possible to show that the \ac{ML} estimate of the vector $p=(\tau,f_d)$, whose elements are two unknowns of $y_{IF}[n]$, is obtained by maximizing the function
%
\begin{equation} \label{Eq:ML_acquisition}
\hat{\textbf{p}}_{ML} = \mathrm{arg \ max_{\bar{\textbf{p}}}} \left| \dfrac{1}{L} \sum_{n=0}^{L-1} y_{IF}[n] \hat{r}_{IF}[n] \right|^2
\end{equation}
%
where $L$ is the number of samples representing the incoming signal $y_{IF}[n]$, $\hat{\textbf{p}}=(\hat{\tau},\hat{f_d})$ is a vector of test variables $\hat{\tau}$, and $\hat{f}_d=f_c+\hat{f}_{d,v}$ is the estimate of the true Doppler $\hat{f}_{d,v}$ plus the frequency shift $f_c$, defined in a proper support $D_p$ which contains all the possible values which can be assumed by the elements
of $p=(\tau,f_d)$.
%
$\hat{r}_{IF}[n]$ is a locally generated signal
\begin{equation} \label{Eq:local_signal_acquisition}
\hat{r}_{IF}[n] = c[n-\hat{\tau}] \ \textrm{exp}(j2 \pi (f_{IF}+\hat{f_d}) n)
\end{equation}
%
where $c[n-\tau]$ is the local replica producing the \ac{PRN} code, the subcarrier and potentially the secondary code.

The inner product of (\ref{Eq:ML_acquisition}) is the \ac{CAF} which is a two-dimensional cross-correlation function between the incoming code and a local replica of the desired signal to acquire. Therefore the \ac{CAF} can be defined in the discrete time as
%
\begin{equation} \label{Eq:CAF}
  R(\hat{\tau},\hat{f_d}) = \sum_{n=0}^{N-1} y_{IF}[n] \ c[n-\hat{\tau}] \ \textrm{exp}(j2 \pi (f_{IF}+\hat{f_d}) n)
\end{equation}
where $y_{IF}[n]$ (\ref{Eq:y_IFi_n}) is the received signal and $\hat{r}_{IF}[n]$ (\ref{Eq:local_signal_acquisition}) is the local generated signal.

In order to decide whether a specific satellite is in view or not, detection is usually performed on the squared envelop of the \ac{CAF}. This choice is adopted in order to be insensitive to the phase of the incoming signal and also to the sign of the bits in case a data channel is acquired
%
\begin{equation}
  S(\hat{\tau},\hat{f_d}) = |  R(\hat{\tau},\hat{f_d}) |^2.
\end{equation}

According to a Pearson's hypothesis problem, $S$ is compared with a predetermined threshold ($V$) in order to decide which hypothesis between $H_0$ ($S<V$) and $H_1$ ($S>V$) is true, where $H_0$ and $H_1$ respectively represent the absence or presence of the desired peak. Once the decision is taken, the parameters $\hat{\tau}$ and $\hat{f_d}$ are taken. Such parameters are estimated within a lattice (or discrete mesh grid) named \textit{search space}, as shown in Figure \ref{fig:searchSpace}. The resolution of the code delay is usually a fraction of the code chip (i.e. $0.5\cdot T_c$). On the other hand, the Doppler frequency typically ranges from $5$ to $10$ kHz. As an example, in \ac{GPS} receivers, the Doppler shift range is estimated in the range $\pm5$ kHz, with respect to the carrier L$1$, according to the orbital period of \ac{GPS} satellites \cite{kaplan2017understanding}.

\begin{figure}
\centering
\includegraphics[width=0.5\linewidth,trim={0.1cm 0.5cm 0.1cm 0.5cm},clip]{searchSpace.pdf}
\caption{Simplistic scheme of search space for the rough estimation of Doppler shift and code delay in the acquisition stage.}
\label{fig:searchSpace}
\end{figure}

In order to keep values like a $0.5$ chip delay range, it is possible to compute the frequency step, as suggested in \cite{kaplan2005understanding}, as

\begin{equation}
  \Delta f_0 = \dfrac{2}{3T}
\end{equation}

where $\Delta f_0$ is the frequency bin width, expressed in Hz, and $T$ coherent integration time, expressed in seconds. As an example, the \acp{CAF} evaluated over the search space on a Galileo \ac{PRN}$12$ and \ac{PRN}$21$ real signal are reported in Figure \ref{fig:acq_Galileo_PRN_12yes_21no}. The figure shows how the signal was acquired for \ac{PRN}$12$ (left) and not acquired for \ac{PRN}$21$ (right) as only noise was present.

\begin{figure}
\centering
%\subfloat[]
{\includegraphics[scale=0.49]{acq_galileo_PRN12.pdf}
\label{fig:}}
\hfil
%\subfloat[]
{\includegraphics[scale=0.49]{acq_galileo_PRN21.pdf}
\label{fig:}}
\caption{Example of \ac{CAF} over the search space evaluated on a Galileo \ac{PRN}$12$ (left) and for \ac{PRN}$21$ (right) realistic signal. Image taken from \cite{cristodaro2019advanced}.}
\label{fig:acq_Galileo_PRN_12yes_21no}
\end{figure}

There are several acquisition techniques reported in literature, that implement different types of searches which are characterized by a trade-off between computational complexity (number of operations) and detection probability: two examples are the \textit{serial search} and the \textit{parallel search}. More details about these acquisition strategies can be found in \cite{borio2008statistical} as well as in many books such as \cite{kaplan2005understanding} and \cite{misra2006global}. 


\subsection{Tracking}
\label{sec:tracking_GNSS_rx}
%------------------------------------------------------------------------------------
The tracking stage is responsible for the refinement of the code delay, $\hat{\tau}$ and Doppler shift $\hat{f}_d$ estimated through the \ac{CAF}. It has to continuously maintain and correct the best possible alignment between the two codes by means of closed loop operations. %\ac{DLL} and \ac{PLL} are employed to track the code and the carrier frequency. \ac{DLL} refines the initial code phase estimate from the acquisition and then track the changes into the future. \ac{PLL} refines the initial estimates of the Doppler frequency from the acquisition and then provides 

%The receiver contains a bank of estimator, one for each tracked channel. Over each channel of the receiver, a \ac{DLL} is used to synchronize the received spreading code and a local replica, while a \ac{PLL} is generally employed to track the phase of the incoming carrier. Conventional receiver architectures generally include a \ac{FLL} to refine the rough estimate performed by the signal acquisition.

The coupled loops required to maintain the best possible alignment between the two codes, are \ac{DLL} for the code and a \ac{PLL} for the carrier. The \ac{DLL} continuously adjusts the local code replica to keep it aligned with the code of the incoming signal. When the two codes are perfectly aligned, the \ac{PRN} code is removed from the signal (\textit{code wipe-off}), leaving just the carrier modulated by the navigation messages. This signal is the input of the \ac{PLL}, which estimates the carrier frequency (\textit{carrier wipe-off}). After \textit{carrier wipe-off} the \ac{DLL} can synchronize the local carrier and the incoming carrier. This process continuously goes on during the receiver operations \cite{kaplan2005understanding}. The generic tracking loop (\ac{DLL}/\ac{PLL}) architecture is shown in Figure \ref{fig:generic_DLL_PLL}. The two loops are initialized by the outputs of the acquisition phase $(\hat{\tau}^A,\hat{f_d}^A)$.

\begin{figure}
\centering
\includegraphics[width=1\textwidth,trim={1cm 0.5cm 0.1cm 1cm},clip]{trackingLoop.pdf}
\caption{Generic tracking loop (\ac{DLL}/\ac{PLL}) architecture.}
\label{fig:generic_DLL_PLL}
\end{figure}

%Both the delay $\tau$ and the Doppler frequency $f_d$ are generally extracted from the received signal by means of closed loop systems, based on the null seeker structures. The null seeking strategy is generally preferred to other synchronization methods, because it is insensitive to the absolute values of the cross correlation functions.



%------------------------------------------------------------------------------------
\subsubsection{Code tracking loops}
%------------------------------------------------------------------------------------
The code tracking loop is a feedback loop able to finely estimate the residual code delay by means of a \ac{DLL}. Since the information about the relative delay between the incoming and the local code is contained in the correlation peak, the goal of \ac{DLL} is to finely estimate the correlation value. However, \ac{GNSS} receivers do not search the maximum of the correlation peak since it is not an effective approach and it would be dependent on the absolute peak value. They adopt a strategy insensitive to the absolute peak value, based of a discrimination function that is null only when the incoming and the local codes are synchronized (\textit{null-seeker}).

Figure \ref{fig:code_carrier_tracking_loops} shows the block diagram of a tracking system commonly used in digital \ac{GNSS} receivers. It is possible to distinguish the code and the carrier tracking loops. Focusing for the moment on the code tracking loop, it is characterized by the design of the components of the loop, such as predetection integrators, code loop discriminator and code loop filter \cite{kaplan2005understanding}. The first operation to be performed is the correlation between the incoming signal and different local code replicas, each characterized by a different delay. They are denoted as prompt (\textit{P}), early (\textit{E}) and late (\textit{L}) versions. These correlation values are integrated to produce an output which is subsequently used by the discriminator function, denoted also \textit{S-curve}. This discrimination function is unambiguous with respect to the delay, contrary to the normal correlation function. It is proportional to the difference of the values of the early and late correlators. A comprehensive description about the most common discriminator functions can be found in \cite{kaplan2005understanding}. The output of the discriminator is given to the code loop filter, which combines the present and past values of the error signal. It generates corrections to the locally generated code in order to maintain the discriminator function output around zero, according to the null seeker principle. The \textit{E}, \textit{P} and \textit{L} replica codes can be synthesized by the code generator, a shift register and the code \ac{NCO} which generates an accurate code replica of the incoming signal.

%Discriminators are highly non-linear functions carefully chosen to extract the parameter to be estimated and suppress the effect of other unknown parameters.

\begin{figure}
\centering
\includegraphics[width=1\linewidth,trim={0.1cm 0.5cm 0.1cm 0.5cm},clip]{code_carrier_tracking_loops.pdf}
\caption{Block diagram describing the architecture of a generic code and carrier tracking loop for \ac{GNSS} receivers.}
\label{fig:code_carrier_tracking_loops}
\end{figure}

The process performed by the \ac{DLL} can be seen in Figure \ref{fig:DLL_correlation} where the incoming signal is correlated with the three replicas of the locally generated signal. When the replica code is aligned, the discriminator does not generate any error since early and late envelopes are equal in amplitude. On the other hand, if the replica code is misaligned, the early and late envelopes are unequal by an amount that is proportional to the amount of code phase error between the replica and the incoming signal \cite{kaplan2005understanding}.

\begin{figure}
\centering
\includegraphics[width=1\linewidth,trim={0.2cm 0.2cm 0.2cm 0.2cm},clip]{DLL_correlation.pdf}
\caption{Example of code correlation phases: (a) replica code 1/2-chip early, (b) replica code 1/4-chip early, (c) replica code aligned, and (d) replica code 1/4-chip late. Figure taken from \cite{kaplan2005understanding}.}
\label{fig:DLL_correlation}
\end{figure}



%------------------------------------------------------------------------------------
\subsubsection{Carrier tracking loops}
%------------------------------------------------------------------------------------
The carrier tracking loop is a feedback loop able to finely estimate the frequency of a noisy sinusoidal wave and to track the frequency changes while the satellite is moving. In the \ac{GNSS} community, one of the most used scheme is the \ac{PLL}. It is capable to adjust the frequency of a local oscillator to match the frequency of the input signal. Also the phase of the received signal is estimated. It is worth noticing that, if the receiver is tracking a data channel, after the code wipe-off has been performed, the \ac{PLL} would receive a continuous wave signal still modulated by the navigation data. Therefore, a \ac{PLL} insensitive to phase transitions has to be adopted. Costas loop is one of the most used in the \ac{GNSS} community. It tolerates the presence of data modulation on the received signal and then provides a carrier phase reference. Note that if data is not present in the signal, a pure \ac{PLL} could be used. Another carrier tracking loop is the \ac{FLL} which is able to track the frequency of the signal, ignoring the phase. In this case, \ac{PLL} could be used to refine the value of the frequency provided by the \ac{FLL}. Excellent references about the theory of \ac{PLL}, \ac{FLL} and Costas loops, that can be used in \ac{GNSS} receives, is provided in many textbooks \cite{kaplan2005understanding}, \cite{bradford1996global} and \cite{misra2006global}.

The block diagram of a generic carrier tracking loop is shown in Figure \ref{fig:code_carrier_tracking_loops}. The principle of \ac{PLL} is similar as the one of \ac{DLL}. The local generator generates two sinusoidal signals, a sine and a cosine, in the two branches of the loop, called In-Phase (I) and Quadrature (Q) components. The role of the \ac{PLL} is to align the instantaneous phase of the I component with the phase of the incoming signal. After the effect of the noise is mitigated by the integrators, the discriminator extracts the phase difference between the incoming signal and the local one. A loop filter can be included to further reduce the effect of noise. Once the phase difference is approximately zero, the \ac{PLL} reaches a steady-state condition and the local waveform results aligned with the incoming carrier which is needed for the recovery of the code delay by the \ac{DLL}.

After code wipe-off has been performed, assuming an unitary amplitude, the incoming signal is
%
\begin{equation}\label{Eq:y_for_PLL}
  y(t) = d(t-\tau) \cos(2\pi (f_{IF}+f_d) t + \varphi)+\tilde{\eta}(t)
\end{equation}
%
\added[id=1]{where $\tilde{\eta}$ is the amplitude noise altered by non-linear trasformations applied during the tracking stage.}
Costas loop contains two multiplications. The input signal is multiplied by the local carrier wave as well as by its phase-shifted version by $\ang{90}$, obtaining two different expressions for $I$ and $Q$. After low-pass filtering, the two terms with
the double intermediate frequency are eliminated and the following two signals
remain
%
\begin{equation}
  I = \dfrac{1}{2} d(t-\tau) \cos(\varphi) + \tilde{{\eta}}(t-\tau)
\end{equation}
%
\begin{equation}
  Q = \dfrac{1}{2} d(t-\tau) \sin(\varphi) + \tilde{{\eta}}(t-\tau)
\end{equation}
%
The phase error of the local carrier phase replica can be found as
%
\begin{equation} \label{Eq:arctan_costas_discr}
  \dfrac{Q}{I} = \tan(\varphi)
\end{equation}
%
By using this discriminator, it can be seen how the phase error is minimized when the correlation in the quadrature-phase arm is zero and the correlation value in the in-phase arm is maximum. Therefore, it is clear that the goal of the Costas loop is to try to keep all energy in the $I$ (in-phase) arm. According to \cite{kaplan2005understanding}, which also describes other possible Costas discriminators the, the \textit{arctan} discriminator in (\ref{Eq:arctan_costas_discr}) is the most precise of the Costas discriminators, but it is also the most time-consuming.

The characteristics of a \ac{PLL} can be seen in Figure \ref{fig:PLL_IQ_phasors}. The phasor $A$ is represented by the vector sum of $I_P$ and $Q_P$. It tends to remain aligned with the $I$-axis. If a navigation bit transition occurs, it switches $\ang{180}$. Costas loop is therefore capable to detect the bits in the data message, despite there is a phase ambiguity of $\ang{180}$.

\begin{figure}
\centering
\includegraphics[width=0.6\linewidth,trim={0.2cm 0.2cm 0.2cm 0.2cm},clip]{PLL_IQ_phasors.pdf}
\caption{I, Q phasor diagram\cite{kaplan2005understanding}.}
\label{fig:PLL_IQ_phasors}
\end{figure}

\subsection{Navigation Message demodulation}

Once the tracking loops are locked (i.e. the local code keeps the alignment with the incoming code and the local carrier is exactly a replica of the received one), the navigation data bits appear at the output of the Prompt correlator, on the in-phase branch of the tracking loops. Considering the GPS L1 C/A code, using an integration time equal to the code period, we obtain a bit value every ms. However, due to the low signal power, real receivers usually set the integration time to 20 ms, which is the inverse of the navigation data rate (i.e. 50 Hz). The same example could be repeated considering the Galileo E1-B signal: in this case, a proper value of integration time
is 4 ms, that corresponds to either the code period and the inverse of the navigation data rate.

The stream of data bits must be decoded to recover the message broadcast by the satellite. The navigation data follow the scheme defined in the \ac{GPS} \ac{ICD} in case of \ac{GPS} \cite{navstar1993icd}, while all the information regarding the navigation message of the Galileo \ac{OS} can be found in \cite{galileo2008galileo}.
Since the navigation format is out of scope of this chapter an introduction is provided by showing the general structure of the \ac{GPS} message. In Figure \ref{fig:navMessage} the overall navigation data carried by \ac{GPS} L1 C/A channel is depicted. 


\begin{figure}
\centering
\includegraphics[width=1\linewidth,trim={0.1cm 0.5cm 0.1cm 0.5cm},clip]{navMessage.pdf}
\caption{\small{Structure of the navigation message included in the \ac{GPS} civil signal, transmitted on
L1 frequency.}}
\label{fig:navMessage}
\end{figure}



The rate of the navigation data bits is 50 bits per second. The whole message is $12.5$ minutes long and is divided in $25$ frames. Each frame lasts 30 seconds and is further divided in 5 subframes, six seconds long. Each subframe of the navigation message always starts with
two special words, the Telemetry (TLM) and the Handover word (HOW).
In case of the Galileo E1 signal, the complete navigation message is transmitted on the data channel (E1-B) as a sequence of frames. A frame is composed of several sub-frames, and a sub-frame, in turn, is composed of several pages. The page is the basic structure to build the
navigation message. Fig. 6 shows the structure of the Galileo data and an example of page for the E1-B message.
Prior to the navigation data decoding, the receiver seeks for the preamble, a defined sequence of $n$ bits, that marks the beginning of a subframe for the \ac{GPS} L1 C/A, a page for the Galileo E1-B. A simple, but efficient, way to detect the preamble is to correlate the navigation data stream with a local binary sequence equal to the preamble. A maximum is detected when such a local sequence is aligned with the preamble. Naturally, the bit pattern used for the preamble can occur anywhere in the received data stream, thus an additional check must be carried out to authenticate the real preamble (e.g. in case of \ac{GPS}, only when the maximum of correlation is found exactly every 6 seconds). When the beginning of the subframe is identified, the content of the subframe can be decoded. The receiver retrieves all the orbital parameters (i.e. ephemeris) necessary to compute the satellite position corresponding to the transmission of the subframe. Through the process used for navigation data decoding, the receiver is able to understand which subframe and word a certain bit belongs to. In this way, the receiver can have an exact, precise and real-time understanding of each sample/bit broadcast by the satellite.

\section{Pseudorange Measurements}
\label{sec:pseudoClass}

In this thesis, pseudorange measurements will be distinguished according to the level of correction (i.e. error compensation) which is applied. For the sake of clarity we will refer to the following three classes:

\begin{itemize}
\item \textbf{raw pseudorange measurements} are obtained as a difference between the transmission and the reception time of a navigation signal, obtained with misaligned clocks. Such a class of measurements is provided by high-end receiver and it has recently become available in Android devices \cite{gsa2019market}.  
\item \textbf{corrected pseudorange measurements} are obtained applying error corrections to compensate for unwanted biases affecting the propagation time of the signal. Corrected pseudoranges are the input data of the \ac{PVT} computation.
\item \textbf{smoothed pseudorange measurements} are code pseudorange measurements refined through Doppler or carrier phase measurements in order to reduce the variance of the estimation \cite{linty2018effects}. They are extensively used in professional receivers and their analysis within specific application was included in \cite{linty2018effects,}
\end{itemize}


\subsection{Raw measurements computation}

Even assuming a perfectly synchronous transmission time among the satellite payloads, the reception time of the preambles will result different due to the different propagation paths. In order to estimate the pseudoranges, this time misalignment has to be compensated according to one of the paradigms known as {\em Common Transmission Time} and {\em Common Reception Time}.
According to the first approach, since the satellites are assumed to be synchronous, the same preamble is assumed being broadcast at the same time instant, $t_{TX}$ . The signal is then received by the user at different time due to the propagation delays, as shown in Figure \ref{fig:commonrx}.
Such time instant is set as common reference time for all the received signals. Thus, the first received signal will belong to the nearest satellite and the beginning of its first subframe will be set as reference.
For each channel, the receiver has to count the amount of time elapsed from the reception of the reference subframe and the reception of the same subframe of each tracked signal.
By knowing the relative time difference, the receiver is able to evaluate the pseudoranges  \cite{pini2012estimation}.\\
In the Common Reception Time, instead, the time instant corresponding to the reception of the first \ac{TLM} is set as common receiving time $t_u^R$ over all the channels.
Moreover, the corresponding satellite is set as reference.
For each channel, the receiver computes elapsed time $\delta t_{rx, i}$ between frame reception time $t_{rx, i}^R$ and reference $t_u^R$, as expressed in (\ref{time1}).
\begin{equation}
\label{time1}
\delta t_{rx, i} = t_u^R - t_{rx, i}^R
\end{equation}
For the reference satellite, the receiver reads in the previous subframe the \ac{HOW}, which contains the transmission time $t_{tx, i}^{GNSS}$ in the \ac{GNSS} reference time.
Due to the misalignment between the \ac{GNSS} time scale and the receiver time scale, the difference between the reception time in the two scales is an unknown bias $b_u$.
\begin{equation}
\label{time2}
 t_{rx, i}^R = t_{rx, i}^{GNSS} - b_u
\end{equation}
At first computation, $b_u$ cannot be estimated, so the propagation time $\tau_1$ is set to a nominal expected value between 65 ms and 85 ms and the reference pseudorange is computed as \ref{time4}.
\begin{equation}
\label{time3}
\tau_1 = t_{rx, 1}^{GNSS} - t_{tx, 1}^{GNSS}
\end{equation}
\begin{equation}
\label{time4}
\rho_1 = \tau_1 \cdot{c}
\end{equation}
After this step, the difference between each satellite and the reference one is calculated as in (\ref{time5}) and each pseudorange is written in relation to the first one (\ref{time6}). Since the propagation time at first time is not estimated but only fixed, all the pseudoranges will have an additional error $c\cdot{b_u}$ due to the time misalignment.
\begin{equation}
\label{time5}
\Delta t_i = \delta t_{rx, i} - \delta t_{rx, 1}
\end{equation}
\begin{equation}
\label{time6}
\rho_i = \rho_1 + + c\cdot{b_u} + c\cdot{\Delta t_{rx, i}}
\end{equation}
In the Figure \ref{fig:commonrx}, a scheme is proposed to understand how a common reception time is fixed for all the tracking channels.

%\subsection{First set of pseudoranges}
%
%\subsection{Common transmission time}
%
%\subsection{Common reception time}

\begin{figure}[h!]
\centering
\includegraphics[width=1\columnwidth,trim={2cm 2cm 2cm 2cm},clip]{commonRxTime.pdf}
\caption{{\small Common reception time diagram.}}
\label{fig:commonrx}
\end{figure} 

What is obtained at the end of this process is a measure of the distance between the satellite and the receiver, still affected by several errors and by the receiver clock bias, $b_u$, namely a \textit{raw pseudorange}.

\subsection{Pseudorange correction and PVT}

Pseudoranges are obtained by means of time measurements which can be severely affected by errors. An overview of such errors and a brief description of the correction process carried out by the \ac{GNSS} receiver are contextually explained hereafter. 

\ac{GNSS} satellites are all equipped with atomic clocks which stably discipline timing operations such as signal generation and broadcast \cite{kaplan2017understanding}. Although their well-known stability, ground segments of each system are responsible to monitor the offset of on-board clocks w.r.t. a reference time-scale and to update the clock correction field carried by the navigation message. The satellite clock correction is hence independently updated for each satellite. Such a correction also takes into account the relativistic effect and is computed by the receiver by means of a second order polynomial including satellite clock bias, clock drift and frequency drift of the on-board clock \cite{navstar1993icd}. 

Despite these deterministic biases which are effectively compensated through navigation data, the signal components are further delayed as they propagates trough the atmosphere \cite{kaplan2017understanding} by stochastic quantities. A set of additional delays are then responsible for an overall time shift, $\delta t_D$, of the expected reception time, according to

\begin{equation}
\label{eq:totalDelay}
\delta t_D=\delta t_{atm} +\delta t_r + \delta t_{mp} + \delta t_{hw}
\end{equation} 

where:

\begin{itemize}
\item $\delta t_{atm}$ delays due to the atmosphere. The propagation velocity of the signal through this mean changes accordingly to the refraction indexes of the different layers. Indeed, free electrons released by ionized molecules in the ionosphere influence the refractive index of this upper layer. Also in the troposphere the refractive index alters phase and group delays of \ac{RF} signal with frequency lower than \SI{15}{GHz}.
\item $\delta t_r$ errors due to additive noise and additional, intentional or unintentional interferences. 
\item $\delta t_{mp}$ multipath offset (if only reflected signal is received). Multipath reflections due to multiple scattering significantly induce highly stochastic errors in the pseudorange measurements. The unpredictability of multipath phenomena makes such impairments usually hard to be detected and compensated.
\item $\delta t_{hw}$ delay induced by receiver hardware.  These errors are typically ignored due to their smaller impact w.r.t. other contributions. However, electronics components such as \ac{RF} and \ac{IF} filters, \ac{LNA}, mixers, splitter and other \ac{RF} interfaces are typically responsible for huge biases (higher than {1}$\mu$s). Although this error cannot be neglected for timing application, it is irrelevant in terms of positioning computation cause it will be included in the user clock bias obtained as output from the \ac{PVT}.
\end{itemize}

\begin{figure}[h!]
\centering
\includegraphics[width=0.9\columnwidth,trim={0.1cm 0.1cm 0.1cm 0.1cm},clip]{costruzionePseudorange.pdf}
\caption{{\small Pseudorange correction scheme reproduced from the GPS ICD \cite{navstar1993icd}.}}
\label{fig:pseudorangeICD}
\end{figure} 

Raw pseudorange measurements are always corrected prior to be used within the \ac{PVT} according to the scheme in Figure \ref{fig:pseudorangeICD}. It can be noticed that the computation of the \ac{PVT} is essential to the effective exploitation of ionospheric and tropospheric error models, thus to a higher accuracy in the positioning computation \cite{kaplan2017understanding}. Further details on the pseudorange error correction and the respective atmospheric models can be found in the \acp{ICD}\deleted[id=1]{s}.

\subsection{GNSS software receivers}
In the last decades the increasing interest in satellite navigation fuelled the research towards the development of high-performance \ac{GNSS} receivers. Provided the lower data rates involved in \ac{GNSS} w.r.t. the ones which can be encountered in modern communication technologies, \ac{GNSS} receivers can be effectively emulated through \ac{SDR} implementation. An analysis of the \ac{SDR} approach oriented to \ac{GNSS} was presented in \cite{presti2014software}. A brief recap of the evolution of the \ac{GNSS} software receiver is instead presented in \cite{won2006gnss} in which the main challenges are described along with the technical solutions exploited to cope with hardware and software limitations. Valuable \ac{SDR} tools for research and development in \ac{GNSS} were designed according to \ac{HW}/\ac{SW} mixed architectures or \textit{fully-software} architecture.
In the context of this research, a wide usage of \ac{SDR}-based fully-software receiver was done to analyse ad-hoc scenarios, thus allowing reproducibility of the scenario in laboratory and in parallel the access to data at any level of the processing chain. When used, the fully-software chain was fed by a general purpose front-end, namely Ettus Research \ac{USRP} N-210 or B-210 providing digitalized signals in form of binary files (.bin). The digitalized signal, $y_{IF}[n]$, was represented through digital samples with a quantization depth from 2-to-8 bits and a sampling frequency, $f_s$ of $16$ Msps within a bandwidth of $5$ MHz. The use of a software receiver allowed to access all acquisition, tracking and post-processing data, thus providing natively pseudorange measurements belonging to all the three classes described in 
Section \ref{sec:pseudoClass}

Details about the implementation of the NavSAS MATLAB-based fully-software receiver and the modifications to its architecture will be discussed accordingly to the content of the chapters.

\section{Networked \ac{GNSS} Mass-market receiver: a concept}



As discussed in Chapter \ref{ch:GNSSfundamentals}, network connectivity has been exploited in \ac{GNSS} to provide differential corrections, or alternatively to reduce the \ac{TTF} by providing aiding information in peer-to-peer receiver \cite{presti2011novel,6934166,5708021,6253108,5606125,5594103}. Differently from these early approaches, this thesis is focused on a different usage of the network connectivity which aim at extending the available information to the positioning problem including collaborative ranging measurements. In order to accomplish this task, \ac{GNSS} receivers are expected to provide a network interface enabling the inter-agent communication, as shown in Figure \ref{fig:hiLevIntScheme} which extends the general architecture shown in Figure \ref{fig:refArchi}. This functional block is in charge to provide raw pseudorange measurements coming from networked receivers to the \ac{CRU}. The \ac{CRU} is then responsible of combining \textit{local} and \textit{external} measurements into inter-vehicle ranging measurements to be further integrated in a hybrid \ac{PVT} processor.   

\begin{figure}[h!]
\centering
\includegraphics[width=1\columnwidth,trim={0.20cm 0.8cm 0.2cm 0.2cm},clip]{ch2_testscheme.pdf}
\caption{{\small High-level scheme of the concept of a networked \ac{GNSS} receiver with a PVT stage aided by auxiliary measurements retrieved from collaborating receivers.}}
\label{fig:hiLevIntScheme}
\end{figure} 


% Proposed Approach
The high-level scheme shown in Figure \ref{fig:hiLevIntScheme} describes the architecture of a networked \ac{GNSS} positioning system designed to implement the proposed hybridization scheme. As emphasized by the gray boxes in Figure \ref{fig:hiLevIntScheme}, the following chapters of this thesis will address both numerical and experimental analysis of the algorithms suitable for the implementation in the \textit{Collaborative Ranging Unit} and in the \textit{Hybrid PVT Processor}. The proposed approach foresees a refinement of the \ac{PVT} solution originally performed by a single agent (referred hereafter as target , named \textit{target agent} which acts according to the following work-flow:


\begin{itemize}
\item \textit{Coarse Position and Time estimation}. The target agent iteratively computes a coarse Position-Time estimation at a given time instant, thus estimating an absolute timestamp of the correspondent positioning solution and measurements set. This task was explored in its basic shape in Chapter \ref{ch:GNSSfundamentals} discussing about fundamentals on \ac{GNSS} \ac{PVT} solution.
\item \textit{Measurements synchronization} or \textit{epochs misalignment compensation}. The task is performed by the \ac{CRU} prior to combine the local and external measurements. In fact, according to the scheme depicted in Figure \ref{fig:epochsAlignment}, asynchronous receivers retrieves measurements set and positioning solutions independently.and according to the established reception time.

The time-compensation is hence fundamental to ensure the time-consistency of the heterogeneous pseudorange and Doppler measurements w.r.t. the satellites and receivers positions. Being a pre-requisite for the combination of heterogeneous \ac{GNSS} measurements, this task will be treated accordingly to the baseline computation method. 
\item \textit{Collaborative inter-agent ranging}. The target agent retrieves the available observables from the agents and computes collaborative range contributions after the time-alignment of the measurements. The algorithms of interest to perform the task will be discussed in detail in Chapter \ref{ch:rangingAlgorithms}. 
The \textit{collaborative ranging unit} exploits external \ac{GNSS} measurements provided by the collaborating agents through a network link.
\item \textit{Fine PVT estimation}. The target agent integrates the inter-agent information along with the coarse estimate of the available agents through a hybrid navigation filters. Details about the hybrid solution investigated within this thesis will be provided in Chapter \ref{ch:navFilters}.
\end{itemize} 




\begin{figure}[h!]
\centering
\includegraphics[width=1\columnwidth,trim={0.0cm 4cm 1.5cm 2cm},clip]{epochs_misalignment.pdf}
\caption{{\small Asynchronous measurements and \ac{PVT} epochs in \ac{GNSS} independent receivers.}}
\label{fig:epochsAlignment}
\end{figure} 


Nowadays several mobile devices integrate a considerable number of modules devoted to both \ac{RF} transmission and reception. Among these, Wi-Fi$^\text{\texttrademark}$ IEEE$\textsuperscript{\textregistered}$ 802.11, Bluetooth$\textsuperscript{\textregistered}$, \ac{GNSS}, and cellular modules are all aggregated in portable electronic devices such as smartphones and tablet, thus enabling a number of additional, complementary positioning solutions. %Furthermore, the availability of such affordable technologies allows the mass-market migration of solutions belonging to different research fields such as robotics and vehicular technologies.